QueueStatisticsPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.impl.pb, class: QueueStatisticsPBImpl

Package org.apache.hadoop.yarn.api.records.impl.pb

# Class QueueStatisticsPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.QueueStatistics
org.apache.hadoop.yarn.api.records.impl.pb.QueueStatisticsPBImpl

@Private @Unstable public class QueueStatisticsPBImpl extends org.apache.hadoop.yarn.api.records.QueueStatistics

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueueStatisticsPBImpl()`
  `QueueStatisticsPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.QueueStatisticsProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `long`
  `getAllocatedContainers()`
  `long`
  `getAllocatedMemoryMB()`
  `long`
  `getAllocatedVCores()`
  `long`
  `getAvailableMemoryMB()`
  `long`
  `getAvailableVCores()`
  `long`
  `getNumActiveUsers()`
  `long`
  `getNumAppsCompleted()`
  `long`
  `getNumAppsFailed()`
  `long`
  `getNumAppsKilled()`
  `long`
  `getNumAppsPending()`
  `long`
  `getNumAppsRunning()`
  `long`
  `getNumAppsSubmitted()`
  `long`
  `getPendingContainers()`
  `long`
  `getPendingMemoryMB()`
  `long`
  `getPendingVCores()`
  `org.apache.hadoop.yarn.proto.YarnProtos.QueueStatisticsProto`
  `getProto()`
  `long`
  `getReservedContainers()`
  `long`
  `getReservedMemoryMB()`
  `long`
  `getReservedVCores()`
  `int`
  `hashCode()`
  `void`
  `setAllocatedContainers(long allocatedContainers)`
  `void`
  `setAllocatedMemoryMB(long allocatedMemoryMB)`
  `void`
  `setAllocatedVCores(long allocatedVCores)`
  `void`
  `setAvailableMemoryMB(long availableMemoryMB)`
  `void`
  `setAvailableVCores(long availableVCores)`
  `void`
  `setNumActiveUsers(long numActiveUsers)`
  `void`
  `setNumAppsCompleted(long numAppsCompleted)`
  `void`
  `setNumAppsFailed(long numAppsFailed)`
  `void`
  `setNumAppsKilled(long numAppsKilled)`
  `void`
  `setNumAppsPending(long numAppsPending)`
  `void`
  `setNumAppsRunning(long numAppsRunning)`
  `void`
  `setNumAppsSubmitted(long numAppsSubmitted)`
  `void`
  `setPendingContainers(long pendingContainers)`
  `void`
  `setPendingMemoryMB(long pendingMemoryMB)`
  `void`
  `setPendingVCores(long pendingVCores)`
  `void`
  `setReservedContainers(long reservedContainers)`
  `void`
  `setReservedMemoryMB(long reservedMemoryMB)`
  `void`
  `setReservedVCores(long reservedVCores)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.QueueStatistics

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QueueStatisticsPBImpl

    public QueueStatisticsPBImpl()

  - ### QueueStatisticsPBImpl

    public QueueStatisticsPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.QueueStatisticsProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnProtos.QueueStatisticsProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getNumAppsSubmitted

    public long getNumAppsSubmitted()
    Specified by:
      `getNumAppsSubmitted` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setNumAppsSubmitted

    public void setNumAppsSubmitted(long numAppsSubmitted)
    Specified by:
      `setNumAppsSubmitted` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getNumAppsRunning

    public long getNumAppsRunning()
    Specified by:
      `getNumAppsRunning` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setNumAppsRunning

    public void setNumAppsRunning(long numAppsRunning)
    Specified by:
      `setNumAppsRunning` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getNumAppsPending

    public long getNumAppsPending()
    Specified by:
      `getNumAppsPending` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setNumAppsPending

    public void setNumAppsPending(long numAppsPending)
    Specified by:
      `setNumAppsPending` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getNumAppsCompleted

    public long getNumAppsCompleted()
    Specified by:
      `getNumAppsCompleted` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setNumAppsCompleted

    public void setNumAppsCompleted(long numAppsCompleted)
    Specified by:
      `setNumAppsCompleted` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getNumAppsKilled

    public long getNumAppsKilled()
    Specified by:
      `getNumAppsKilled` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setNumAppsKilled

    public void setNumAppsKilled(long numAppsKilled)
    Specified by:
      `setNumAppsKilled` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getNumAppsFailed

    public long getNumAppsFailed()
    Specified by:
      `getNumAppsFailed` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setNumAppsFailed

    public void setNumAppsFailed(long numAppsFailed)
    Specified by:
      `setNumAppsFailed` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getNumActiveUsers

    public long getNumActiveUsers()
    Specified by:
      `getNumActiveUsers` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setNumActiveUsers

    public void setNumActiveUsers(long numActiveUsers)
    Specified by:
      `setNumActiveUsers` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getAvailableMemoryMB

    public long getAvailableMemoryMB()
    Specified by:
      `getAvailableMemoryMB` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setAvailableMemoryMB

    public void setAvailableMemoryMB(long availableMemoryMB)
    Specified by:
      `setAvailableMemoryMB` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getAllocatedMemoryMB

    public long getAllocatedMemoryMB()
    Specified by:
      `getAllocatedMemoryMB` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setAllocatedMemoryMB

    public void setAllocatedMemoryMB(long allocatedMemoryMB)
    Specified by:
      `setAllocatedMemoryMB` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getPendingMemoryMB

    public long getPendingMemoryMB()
    Specified by:
      `getPendingMemoryMB` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setPendingMemoryMB

    public void setPendingMemoryMB(long pendingMemoryMB)
    Specified by:
      `setPendingMemoryMB` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getReservedMemoryMB

    public long getReservedMemoryMB()
    Specified by:
      `getReservedMemoryMB` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setReservedMemoryMB

    public void setReservedMemoryMB(long reservedMemoryMB)
    Specified by:
      `setReservedMemoryMB` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getAvailableVCores

    public long getAvailableVCores()
    Specified by:
      `getAvailableVCores` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setAvailableVCores

    public void setAvailableVCores(long availableVCores)
    Specified by:
      `setAvailableVCores` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getAllocatedVCores

    public long getAllocatedVCores()
    Specified by:
      `getAllocatedVCores` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setAllocatedVCores

    public void setAllocatedVCores(long allocatedVCores)
    Specified by:
      `setAllocatedVCores` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getPendingVCores

    public long getPendingVCores()
    Specified by:
      `getPendingVCores` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setPendingVCores

    public void setPendingVCores(long pendingVCores)
    Specified by:
      `setPendingVCores` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getReservedVCores

    public long getReservedVCores()
    Specified by:
      `getReservedVCores` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setReservedVCores

    public void setReservedVCores(long reservedVCores)
    Specified by:
      `setReservedVCores` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getPendingContainers

    public long getPendingContainers()
    Specified by:
      `getPendingContainers` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setPendingContainers

    public void setPendingContainers(long pendingContainers)
    Specified by:
      `setPendingContainers` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getAllocatedContainers

    public long getAllocatedContainers()
    Specified by:
      `getAllocatedContainers` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setAllocatedContainers

    public void setAllocatedContainers(long allocatedContainers)
    Specified by:
      `setAllocatedContainers` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### getReservedContainers

    public long getReservedContainers()
    Specified by:
      `getReservedContainers` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`

  - ### setReservedContainers

    public void setReservedContainers(long reservedContainers)
    Specified by:
      `setReservedContainers` in class `org.apache.hadoop.yarn.api.records.QueueStatistics`